[SailfishDevel] Development on device, problem with missing dependencies

szopin at gmail.com szopin at gmail.com
Thu Feb 15 16:38:24 UTC 2018


Graphic libs will conflict, you can develop on device using chroot:
https://together.jolla.com/question/26605/howto-install-a-chroot-for-building-apps/


On Thursday, 15 February 2018, Kaj-Michael Lang wrote:
> I'm trying to install development packages on-device and pkcon/zypper
> is complaining about breaking device. gcc and stuff is doing fine, it's
> that some of the qt5-*-devel packages are having issues.
> 
> Doing some more digging around, what it actually tries to tell me is
> that a package is missing:
> 
> nothing provides pkgconfig(android-headers) needed by libhybris-libEGL-
> devel-0.0.5.18-10.11.3.jolla.armv7hl
> 
> Any ideas where to find a rpm that provides it ? Does not seem to be in
> SDK.
> 
> -- 
> Kaj-Michael Lang <milang at tal.org>
> 
> _______________________________________________
> SailfishOS.org Devel mailing list
> To unsubscribe, please send a mail to devel-unsubscribe at lists.sailfishos.or

-- 
Sent from my Jolla


More information about the Devel mailing list